CatalinaService (Catalina Internal API Documentation)
Keywords: org.apache.catalina.startup.CatalinaService class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class CatalinaService

    java.lang.Object
      org.apache.catalina.startup.Catalina
          org.apache.catalina.startup.CatalinaService

public class CatalinaService
extends Catalina

Startup/Shutdown shell program for Catalina. The following command line options are recognized:

- -config {pathname} - Set the pathname of the configuration file to be processed. If a relative path is specified, it will be interpreted as relative to the directory pathname specified by the "catalina.base" system property. [conf/server.xml]
- -help - Display usage information.
- -stop - Stop the currently running instance of Catalina.

Special version of the Catalina bootstrap, designed to be invoked with JNI, and designed to allow easier wrapping by system level components, which would otherwise be confused by the asychronous startup and shutdown Catalina uses. This class should be used to run Catalina as a system service under Windows NT and clones.

Version:
  $Revision: 1.10 $ $Date: 2002/10/24 02:42:03 $
Author:
  Craig R. McClanahan, Remy Maucherat

Nested Class Summary

Nested classes inherited from class org.apache.catalina.startup.Catalina
`Catalina.CatalinaShutdownHook`

Field Summary

Fields inherited from class org.apache.catalina.startup.Catalina
`configFile, debug, parentClassLoader, server, starting, stopping, useNaming`

Constructor Summary
`CatalinaService()`

Method Summary
`protected boolean` | `arguments(java.lang.String[] args)` Process the specified command line arguments, and return `true` if we should continue processing; otherwise return `false`.
`protected void` | `execute()` Execute the processing that has been configured from the command line.
`void` | `load()` Start a new server instance.
`void` | `load(java.lang.String[] args)`
`void` | `start()` Start a new server instance.
`void` | `stop()` Stop an existing server instance.

Methods inherited from class org.apache.catalina.startup.Catalina
`configFile, createStartDigester, createStopDigester, main, process, setCatalinaBase, setCatalinaHome, setParentClassLoader, setServer, usage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalinaService

    public CatalinaService()

Method Detail

### arguments

    protected boolean arguments(java.lang.String[] args)

  Process the specified command line arguments, and return `true` if we should continue processing; otherwise return `false`.

  Overrides:
    `arguments` in class `Catalina`
  Parameters:
    `args` - Command line arguments to process

### execute

    protected void execute()
                    throws java.lang.Exception

  Execute the processing that has been configured from the command line.

  Overrides:
    `execute` in class `Catalina`
  Throws:
    `java.lang.Exception`

### load

    public void load()

  Start a new server instance.

### load

    public void load(java.lang.String[] args)

### start

    public void start()

  Start a new server instance.

  Overrides:
    `start` in class `Catalina`

### stop

    public void stop()

  Stop an existing server instance.

  Overrides:
    `stop` in class `Catalina`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.